package cn.ibizlab.core.enums;

import lombok.Getter;

/**
 * @author 无名小卒
 * @describe 规则引擎参数枚举
 * @data 2022/8/22
 */

@Getter
public enum RuleEnginerParamEnum {
    AUTO_CREATE("isAuto", "Y"),
    NO_AUTO_CREATE("isAuto", "N"),
    TOPIC("topic", "topic"),
    GROUP("group", "group"),
    ELEMENT_NAME("property", "value");

    private String property;
    private String value;


    RuleEnginerParamEnum(String property, String value) {
        this.property = property;
        this.value = value;
    }

}
